Show / Hide Table of Contents

# Class DocumentStatusHelper

Helper class to send events to the client

##### Inheritance

System.Object
DocumentStatusHelper

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class DocumentStatusHelper

### Fields

| Improve this Doc View Source

#### DefinitionRequestCompleted

##### Declaration

    public const string DefinitionRequestCompleted = "DefinitionRequestCompleted"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DefinitionRequested

##### Declaration

    public const string DefinitionRequested = "DefinitionRequested"

##### Field Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### SendStatusChange<T>(RequestContext<T>, TextDocumentPosition, String)

Sends an event for specific document using the existing request context

##### Declaration

    public static void SendStatusChange<T>(RequestContext<T> requestContext, TextDocumentPosition textDocumentPosition, string status)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestContext<T> | requestContext |
TextDocumentPosition | textDocumentPosition |
System.String | status |

##### Type Parameters

Name | Description
--- | ---
T |

| Improve this Doc View Source

#### SendTelemetryEvent<T>(RequestContext<T>, String)

Sends a telemetry event for specific document using the existing request context

##### Declaration

    public static void SendTelemetryEvent<T>(RequestContext<T> requestContext, string telemetryEvent)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestContext<T> | requestContext |
System.String | telemetryEvent |

##### Type Parameters

Name | Description
--- | ---
T |